# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2018-03-19 15:16
from __future__ import unicode_literals

from django.db import migrations


def make_group_trigger_data_unique(apps, schema_editor):
    Bundle = apps.get_model('oscarbundles', 'Bundle')
    for bundle in Bundle.objects.order_by('id').all():
        conflicts = Bundle.objects\
            .filter(bundle_group=bundle.bundle_group)\
            .filter(triggering_product=bundle.triggering_product)\
            .exclude(pk=bundle.pk)\
            .order_by('id')\
            .all()
        for conflict in conflicts:
            for suggested_product in conflict.suggested_products.all():
                bundle.suggested_products.add(suggested_product)
                bundle.save()
                conflict.suggested_products.remove(suggested_product)
                conflict.save()


class Migration(migrations.Migration):
    dependencies = [
        ('oscarbundles', '0008_auto_20180318_1933'),
    ]

    operations = [
        migrations.RunPython(make_group_trigger_data_unique),
    ]
